Ticket #35898

JTalk のクラッシュ

Open Date: 2016-01-06 15:12 Last Update: 2016-02-13 14:17

Reporter: nishimoto Owner: nishimoto
Type: Bugs Status: Closed
Component: 音声合成 MileStone: 2016.1jp (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

Windows 10 + Firefox で youtube.com をブラウズしていたら以下のエラーでクラッシュ。

なお、本家 2016.1 の新機能であるオーディオダッキングは jpbeta160106 から実装。 こちらはちゃんと動いているように見える。

INFO - __main__ (15:01:45):
Starting NVDA
INFO - core.main (15:01:50):
Config dir: C:\Users\nishimotz\AppData\Roaming\nvda
INFO - core.main (15:01:50):
NVDA version 2016.1jp-beta-160106
INFO - core.main (15:01:50):
Using Windows version 10.0.10586 workstation
INFO - core.main (15:01:50):
Using Python version 2.7.10 (default, May 23 2015, 09:40:32) [MSC v.1500 32 bit (Intel)]

ERROR - synthDrivers.jtalk._bgthread.BgThread.run (15:06:07):
Error running function from queue
Traceback (most recent call last):
  File "synthDrivers\jtalk\_bgthread.pyo", line 32, in run
  File "synthDrivers\jtalk\jtalkDriver.pyo", line 178, in _speak
  File "synthDrivers\jtalk\jtalkDriver.pyo", line 123, in _jtalk_speak
  File "synthDrivers\jtalk\mecab.pyo", line 350, in Mecab_correctFeatures
  File "synthDrivers\jtalk\mecab.pyo", line 249, in _makeFeatureFromLatinWordAndPostfix
IndexError: list index out of range

Attachment File List

No attachments

Ticket History (3/6 Histories)

2016-01-06 15:12 Updated by: nishimoto
  • New Ticket "JTalk のクラッシュ" created
2016-01-06 15:13 Updated by: nishimoto
  • Milestone Update from (None) to 2016.1jp (closed)
  • Owner Update from (None) to nishimoto
  • Component Update from (None) to 音声合成
2016-01-06 15:43 Updated by: nishimoto
Comment

クラッシュを起こすテキストを特定した

Huawei's new Swarovski-bedazzled Jewel watch — CES 2016
2016-01-06 16:27 Updated by: nishimoto
  • Resolution Update from None to Fixed
2016-01-06 16:44 Updated by: nishimoto
Comment

アルファベット表記の固有名詞として解析可能でかつ読み情報がない単語があり、 その直後にシングルクオートが来る場合に起きていたと思われる不具合。

2016-02-13 14:17 Updated by: nishimoto
  • Ticket Close date is changed to 2016-02-13 14:17
  • Status Update from Open to Closed

Edit

Please login to add comment to this ticket » Login